{% extends "base.html" %}

{% block extrastyle %}
<style>span.helptext { display: none; }</style>
{% endblock %}

{% block breadcrumb %}
<li class="breadcrumb-item"><a href="{% url 'home' %}">Accueil</a></li>
<li class="breadcrumb-item"><a href="{% url 'utilisateur-list' %}">Utilisateurs</a></li>
<li class="breadcrumb-item active" aria-current="page">
    {% if object.pk %}{{ object.last_name }} {{ object.first_name }}{% else %}Nouveau{% endif %}
</li>
{% endblock %}

{% block content %}
    <div class="row mb-3">
        {% if form.instance.pk %}
        <div class="col text-end">
            <!-- form class="form-reinit form inline" action="{ url 'utilisateur-password-reinit' object.pk }" method="post">{% csrf_token %}
                <button id="reinit" class="btn btn-outline-primary btn-sm">Réinit. mot de passe</button>
            </form -->
            <form class="form inline" action="{% url 'utilisateur-otp-reinit' object.pk %}" method="post">
                {% csrf_token %}
                <button class="btn btn-outline-primary btn-sm"
                        data-confirm="Voulez-vous vraiment réinitialiser le jeton de 2ème facteur d’authentification pour cette personne ?">Réinit. 2ème facteur d’auth.</button>
            </form>
        </div>
        {% endif %}
    </div>
    <div class="row justify-content-center">
        <div class="col-6">
            <form action="." method="post">
                {% csrf_token %}
                <table class="table table-sm">
                    {{ form.as_table }}
                </table>
                {% if view.is_create %}
                <p>Un nouveau mot de passe généré aléatoirement sera envoyé par courriel à l’adresse indiquées pour cette personne.</p>
                {% endif %}
                <div id="actions" class="row border-top mt-2">
                    {% if form.instance.pk %}
                    <div class="col mt-3">
                        {% if view.delete_url %}
                        <button class="btn btn-sm btn-danger" name="delete" type="submit"
                            data-confirm="Voulez-vous vraiment désactiver cet utilisateur ?"
                            formaction="{{ view.delete_url }}" title="Cet utilisateur n'apparaîtra plus dans les listes"
                            >Désactiver</button>
                        {% endif %}
                    </div>
                    {% endif %}
                    <div class="col mt-3 text-end">
                        <a class="btn btn-sm btn-secondary" href="javascript: history.go(-1)">Annuler</a>
                        <button class="btn btn-sm btn-primary" name="save" type="submit">{% if object.pk %}Enregistrer{% else %}Créer{% endif %}</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
{% endblock %}
